<?php defined('SYSPATH') or die('No direct script access.');

class Model_Faculty extends Model
{
    private $id;

    public static function with($id) {
        $f = new self();
        $f->id = (int) $id;
        return $f;
    }

    /** @return Database_Result */
    public function getDisciplines() {
        $sql = "CALL `GetDisciplines`(:id)";
        return DB::query(Database::SELECT, $sql)
            ->param(':id', $this->id)
            ->execute();
    }

    public function getGroups($grade) {
        $sql = "CALL `GetGroups`(:grade, :id)";
        return DB::query(Database::SELECT, $sql)
            ->param(':grade', (int) $grade)
            ->param(':id', $this->id)
            ->execute()->as_array();
    }
}
